Bug 1269853 - Emacs freezing when clicking on the menu bar
Summary: Emacs freezing when clicking on the menu bar
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: emacs
Version: 6.7
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Jan Synacek
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks: 1269194
TreeView+ depends on / blocked
 
Reported: 2015-10-08 11:08 UTC by jigar
Modified: 2020-05-14 15:02 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-30 11:32:37 UTC
Target Upstream Version:


Attachments (Terms of Use)
Patch to fix menus' bug (4.49 KB, patch)
2016-01-06 08:57 UTC, jigar
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2853831 0 None None None 2017-01-10 19:24:58 UTC

Description jigar 2015-10-08 11:08:39 UTC
Description of problem: Clicking on the menu bar to the right of the Help entry freezes the emacs edit window. The cursor doesn't move and text can't be entered. Resizing the window resizes the frame but the contents don't resize. The edit window can be brought back to life by opening and closing a menu.

Version-Release number of selected component (if applicable): 23.1.1 


How reproducible: Always


Steps to Reproduce:
1. Open Emacs
2. Open a document in edit mode
3. Click on the right of "Help" in the menu bar

Actual results: Emacs freezes

Expected results: Emacs shouldn't freeze and editing and other tasks should run smoothly

Comment 4 jigar 2016-01-06 08:57:48 UTC
Created attachment 1112048 [details]
Patch to fix menus' bug

Comment 7 Jan Synacek 2016-01-27 07:57:22 UTC
Emacs wasn't approved for RHEL-6.8.

Comment 8 Jos Collin 2016-10-20 07:34:18 UTC
(In reply to Jan Synacek from comment #7)
> Emacs wasn't approved for RHEL-6.8.

Will this be fixed in RHEL-6.9 release ? Can you give me an update ? 

Thanks,
Jos Collin

Comment 9 Jan Synacek 2016-10-20 08:37:54 UTC
As far as I know, it won't be fixed, because Emacs wasn't approved for RHEL-6.9.

Comment 10 Jos Collin 2016-10-20 08:53:33 UTC
(In reply to Jan Synacek from comment #9)
> As far as I know, it won't be fixed, because Emacs wasn't approved for
> RHEL-6.9.

Need a status update for customer.

Thanks,
Jos Collin

Comment 11 Jan Synacek 2017-03-30 11:32:37 UTC
Red Hat Enterprise Linux 6 shipped it's last Production 2 phase minor
release, RHEL 6.9, on March 21, 2016. On May 10, 2017, RHEL 6 exits
Production 2 phase and moves into Production 3 phase. For RHEL releases
in Production 3 phase, Red Hat will provide critical-impact security
fixes and urgent priority bug fixes for the last minor release but will
not provide any software enhancements or hardware enablement.

This BZ does not appear to meet the Product 3 phase inclusion criteria
described above so is being closed WONTFIX. If this BZ is critical for
your environment, please open a case in the Red Hat Customer Portal,
https://access.redhat.com, provide a thorough business justification and
ask that the BZ be re-opened for consideration. Please note, only
critical-impact security fixes and urgent priority bug fixes will be
considered, and no software enhancements or hardware enablement will be
performed.


Note You need to log in before you can comment on or make changes to this bug.